//Core class header

#ifndef __CORE_H_INCLUDED__
#define __CORE_H_INCLUDED__

#include<iostream>
#include<SDL2/SDL.h>
#include"entity.h"
#include"player.h"
#include"block.h"
#include"powerup.h"
#include"camera.h"

class Core{
	public:
		int coreInit();
	private:
		void init();
		void close();

		const int SCREEN_WIDTH = 640;
		const int SCREEN_HEIGHT = 480;
		int sz;

		SDL_Window* gWindow = NULL;
		SDL_Renderer* gRenderer = NULL;
};

#endif
